VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "QFilterLaws"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Dim iLaws_ As Scripting.Dictionary

Public Function Init(iLaws As Scripting.Dictionary)
  Set iLaws_ = iLaws
End Function

Public Function CheckLaw(iLaw As IteratorLaw) As Boolean
  CheckLaw = iLaws_.Exists(iLaw.ID)
End Function

